StatCounter (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.messaging

## Class StatCounter

- java.lang.Object
- - com.marketfactory.messaging.StatCounter

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<StatCounter>

      public final class StatCounter
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<StatCounter>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name`
    `StatType` | `type`
    `int` | `value`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `StatCounter()`
    `protected` | `StatCounter(ProtoByteBuffer buffer)`
    `` | `StatCounter(StatType type, java.lang.String name, int value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(StatCounter rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public StatType type

    - #### name

          public java.lang.String name

    - #### value

          public int value

  - ### Constructor Detail

    - #### StatCounter

          public StatCounter()

    - #### StatCounter

          protected StatCounter(ProtoByteBuffer buffer)

    - #### StatCounter

          public StatCounter(StatType type,
                             java.lang.String name,
                             int value)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(StatCounter rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<StatCounter>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)